Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document
Interface DocumentManager

public interface DocumentManager
extends ContentManager

A ContentManager specific to Documents.

This adds a method for retrieving a document's bytes.

See Also:
  `ContentManagerHome`

Method Summary
`byte[]` | `getContentBlock(DocumentPk key, long start, long length)` Deprecated. Use getContentBlock(java.lang.String, long, long) instead.
`byte[]` | `getContentBlock(java.lang.String key, long start, long length)` Retrieve the content bytes for the specified document.

Methods inherited from interface com.bea.p13n.content.ContentManager
`getContent, getContent, getContentIds, getPropertySet, getPropertySetNames, getPropertySets`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getContentBlock

    public byte[] getContentBlock(java.lang.String key,
                                  long start,
                                  long length)
                           throws java.rmi.RemoteException

  Retrieve the content bytes for the specified document.

  Parameters:
    `key` - the document identifier.
    `start` - the start index (0 for beginning).
    `length` - the number of bytes to get.
  Returns:
    the bytes.
  Throws:
    java.rmi.RemoteException - thrown on error.

### getContentBlock

    public byte[] getContentBlock(DocumentPk key,
                                  long start,
                                  long length)
                           throws java.rmi.RemoteException

  Deprecated. Use getContentBlock(java.lang.String, long, long) instead.
  Retrieve the content bytes for the specified document.

  Parameters:
    `key` - the document primary key.
    `start` - the start index (0 for beginning).
    `length` - the number of bytes to get.
  Returns:
    the bytes.
  Throws:
    java.rmi.RemoteException - thrown on error.
  See Also:
    `getContentBlock(java.lang.String, long, long)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved